2 Replies Latest reply on Jun 8, 2013 7:58 PM by Lampei

    Incorrect ADT version when compiling using updated AIR SDK in Flash Builder

    Lampei

      I was wondering if anyone else has come across adt version issues when compiling with Flash Builder.

       

      I just downloaded Flash Builder 4.7 (I had 4.6 installed previously).  I upgraded due to AIR SDK issues when trying to send my app to iOS.  I downloaded AIR 3.7 SDK and done the whole "overlay" described here http://helpx.adobe.com/flash-builder/kb/overlay-air-sdk-flash-builder.html but when trying to compile it Flash Builder, it states that version 3.7 is not only up to 3.1  I did a check of the adt that is being used (adt -version) and it returns back that it is version 3.1  This is the one contained within the sdks/4.6.0/lib folder.  If I copy the one from the AIRSDK folder and check the version on that 3.7 comes up correctly, but it needs files that are contained in the AIRSDK folder, so I'll need to copy more than just the adt.jar file.

       

      Really I'm just trying to see if anyone knows what I can change in Flash Builder to point to the AIRSDK folder instead of the sdks/4.6.0/lib folder so I'm not constantly updating my adt.jar file each time I install a new AIR SDK.

        • 1. Re: Incorrect ADT version when compiling using updated AIR SDK in Flash Builder
          Lampei Level 1

          OK, not the best solution (hopefully someone will be able to tell me where to update Flash Builder to point to the AIRSDK directory instead of {FB install dir}/sdks/4.6.0/lib, but until then, here's a work around.

           

          First make sure to backup your old aot and android directories in your {FB install dir}/sdks/4.6.0/lib and your original adt file (I just renamed them to fileOrDir_original)

           

          Then copy your adt.jar file, aot dir, android dir, and I copied legacy dir also to your {FB install dir}/sdks/4.6.0/lib

           

          You should now be able to compile using the 3.7 AIR SDK.  There's another fix for PIE in AIR 3.8, so I may be updating again soon to the labs build.  I'm hesitant to copy any more files over in case it stops my non-mobile AIR builds from working, but hopefully this will be good enough for mobile builds and for anyone else having this issue in Flash Builder.

          • 2. Re: Incorrect ADT version when compiling using updated AIR SDK in Flash Builder
            Lampei Level 1

            So does anyone from Adobe actually read these posts or are they just hoping that users will answer all of the questions?